> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace Curriculum Courses

> Replace all courses in a curriculum.

Requires admin role. Curriculum loaded org-scoped via `load_curriculum`.



## OpenAPI

````yaml /openapi.json put /api/v1/learn/curriculums/{curriculum_id}/courses
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/learn/curriculums/{curriculum_id}/courses:
    put:
      tags:
        - learn-curriculums
      summary: Replace Curriculum Courses
      description: |-
        Replace all courses in a curriculum.

        Requires admin role. Curriculum loaded org-scoped via `load_curriculum`.
      operationId: >-
        replace_curriculum_courses_api_v1_learn_curriculums__curriculum_id__courses_put
      parameters:
        - name: curriculum_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Curriculum Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                type: string
                format: uuid
              title: Course Ids
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CurriculumDetailDTO'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CurriculumDetailDTO:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        title:
          type: string
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        courses:
          items:
            $ref: '#/components/schemas/CurriculumCourseInfoDTO'
          type: array
          title: Courses
        createdAt:
          type: string
          format: date-time
          title: Createdat
      type: object
      required:
        - id
        - title
        - description
        - courses
        - createdAt
      title: CurriculumDetailDTO
      description: Curriculum with courses for API responses.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CurriculumCourseInfoDTO:
      properties:
        courseId:
          type: string
          format: uuid
          title: Courseid
        title:
          type: string
          title: Title
      type: object
      required:
        - courseId
        - title
      title: CurriculumCourseInfoDTO
      description: Course within a curriculum for API responses.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````